org.springframework.shell.event

## Enum ShellStatus.Status

- java.lang.Object
- - java.lang.Enum<ShellStatus.Status>
  - - org.springframework.shell.event.ShellStatus.Status

- All Implemented Interfaces:
    Serializable, Comparable<ShellStatus.Status>
  Enclosing class:
    ShellStatus

      public static enum ShellStatus.Status
      extends Enum<ShellStatus.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXECUTING`
    `EXECUTION_FAILED`
    `EXECUTION_RESULT_PROCESSING`
    `EXECUTION_SUCCESS`
    `PARSING`
    `SHUTTING_DOWN`
    `STARTED`
    `STARTING`
    `USER_INPUT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShellStatus.Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShellStatus.Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTING

          public static final ShellStatus.Status STARTING

    - #### STARTED

          public static final ShellStatus.Status STARTED

    - #### USER_INPUT

          public static final ShellStatus.Status USER_INPUT

    - #### PARSING

          public static final ShellStatus.Status PARSING

    - #### EXECUTING

          public static final ShellStatus.Status EXECUTING

    - #### EXECUTION_RESULT_PROCESSING

          public static final ShellStatus.Status EXECUTION_RESULT_PROCESSING

    - #### EXECUTION_SUCCESS

          public static final ShellStatus.Status EXECUTION_SUCCESS

    - #### EXECUTION_FAILED

          public static final ShellStatus.Status EXECUTION_FAILED

    - #### SHUTTING_DOWN

          public static final ShellStatus.Status SHUTTING_DOWN

  - ### Method Detail

    - #### values

          public static ShellStatus.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShellStatus.Status c : ShellStatus.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShellStatus.Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null